(function(window) {
    //接口ip地址
    var interUrl = "http://www.topinmetro.com/api/",
        // interUrl="http://192.168.0.126:34458/api/",
        interConfig = {},
        interInfo;

        // 微信分享地址
    window.shareUrl = "http://www.topinmetro.com/";
    //所有用户的信息
    window.user = $api.getStorage('user') || {};
    //配置接口信息
    interConfig = {
      //获取到舆情表格的数据
      "Article/GetChartData":{
        name: "Article/GetChartData",
        method: "post",
        encrypt: true
      },
        //搜索
        "Account/Search": {
            name: "Account/Search",
            method: "post",
            encrypt: true
        },
        //重设密码：
        "Account/ResetPWD": {
            name: "Account/ResetPWD",
            method: "get",
            encrypt: true
        },
        //我的任务
        "Account/MyWork": {
            name: "Account/MyWork",
            method: "post",
            encrypt: true
        },
        //转发，分享
        "Account/Repost": {
            name: "Account/Repost",
            method: "post",
            encrypt: true
        },
        //签到/领取
        "Account/EditWork": {
            name: "Account/EditWork",
            method: "post",
            encrypt: true
        },
        //获取短信验证码
        "GetVerifyCode": {
            name: "Account/GetVerifyCode",
            method: "get",
            encrypt: true
        },
        //手机登陆
        "PhoneLogin": {
            name: "Account/PhoneLogin",
            method: "get",
            encrypt: true,
        },
        //手机注册
        "Register": {
            name: "Account/Register",
            method: "get",
            encrypt: true
        },
        //微信登陆
        "Account/WeiXinLogin": {
            name: "Account/WeiXinLogin",
            method: "post",
            encrypt: true
        },
        //快讯——菜单
        "GetMenu": {
            name: "Article/GetMenu",
            method: "post",
            encrypt: true
        },
        //快讯——列表
        "GetAList": {
            name: "Article/GetList",
            method: "post",
            encrypt: true
        },
        //快讯-详情
        "GetInfoByID": {
            name: "Article/GetInfoByID",
            method: "post",
            encrypt: true
        },
        //点赞/取消点赞
        "Applaud": {
            name: "Article/Applaud",
            method: "post",
            encrypt: true
        },
        //关注/取消
        "Focus": {
            name: "Account/Focus",
            method: "post",
            encrypt: true
        },
        //踩/取消踩
        "Disapprove": {
            name: "Article/Disapprove",
            method: "post",
            encrypt: true
        },
        //收藏/取消收藏
        "Collect": {
            name: "Article/Collect",
            method: "post",
            encrypt: true
        },
        //评论-列表
        "Comment/GetList": {
            name: "Comment/GetList",
            method: "post",
            encrypt: true
        },
        //评论-添加
        "Comment/Add": {
            name: "Comment/Add",
            method: "post",
            encrypt: true
        },
        //评论--点赞
        "Comment/Applaud": {
            name: "Comment/Applaud",
            method: "post",
            encrypt: true
        },
        //评论--删除
        "Comment/Delete": {
            name: "Comment/Delete",
            method: "post",
            encrypt: true
        },
        // 线网--切换城市
        "LineNet/PhoneGetCityList": {
            name: "LineNet/PhoneGetCityList",
            method: "post",
            encrypt: true
        },
        //线网---城市信息
        "LineNet/GetCityInfo": {
            name: "LineNet/GetCityInfo",
            method: "post",
            encrypt: true
        },
        //线网--获取线网列表
        "LineNet/GetList": {
            name: "LineNet/GetList",
            method: "post",
            encrypt: true
        },
        //线网--关注
        "LineNet/Focus": {
            name: "LineNet/Focus",
            method: "post",
            encrypt: true
        },
        //线网--城市查询
        "LineNet/Search": {
            name: "LineNet/Search",
            method: "post",
            encrypt: true
        },
        //招投标--导航
        "CallForBid/GetMenu": {
            name: "CallForBid/GetMenu",
            methhod: "post",
            encrypt: true
        },
        //招投标--招标/中标列表
        "CallForBid/PhoneGetList": {
            name: "CallForBid/PhoneGetList",
            methhod: "post",
            encrypt: true
        },
        //招投标--招标/中标详情
        "CallForBid/PhoneGet": {
            name: "CallForBid/PhoneGet",
            methhod: "post",
            encrypt: true
        },
        //招投标--收藏
        "CallForBid/Collect": {
            name: "CallForBid/Collect",
            methhod: "post",
            encrypt: true
        },
        //问答--帖子列表
        "Card/PhoneGetList": {
            name: "Card/GetList",
            methhod: "post",
            encrypt: true
        },
        //问答--帖子详情
        "Card/GetInfoByID": {
            name: "Card/GetInfoByID",
            methhod: "post",
            encrypt: true
        },
        //问答--最佳答案
        "Card/SetBest": {
            name: "Card/SetBest",
            methhod: "post",
            encrypt: true
        },
        //问答--收藏
        "Article/Collect": {
            name: "Article/Collect",
            methhod: "post",
            encrypt: true
        },
        //问答--发帖
        "Card/Add": {
            name: "Card/Add",
            methhod: "post",
            encrypt: true
        },
        //问答--收藏
        "Card/Collect": {
            name: "Card/Collect",
            methhod: "post",
            encrypt: true
        },
        //问答--类型
        "Card/GetAskType": {
            name: "Card/GetAskType",
            methhod: "post",
            encrypt: true
        },
        // 问答--设置最佳答案
        "Card/SetBest": {
            name: "Card/SetBest",
            methhod: "post",
            encrypt: true
        },
        //上传图片
        "Article/AddImg": {
            name: "Article/AddImg",
            methhod: "post",
            encrypt: true
        },
        //上传视频
        "Article/AddVideo": {
            name: "Article/AddVideo",
            methhod: "post",
            encrypt: true
        },
        "Account/Edit": {
            name: "Account/Edit",
            methhod: "post",
            encrypt: true
        },
        //我的-我的星系
        "Account/My": {
            name: "Account/My",
            methhod: "post",
            encrypt: true
        },
        //我的--消息通知
        "Account/MyInform": {
            name: "Account/MyInform",
            methhod: "post",
            encrypt: true
        },
        //我的--消息通知详情
        "Account/GetInform": {
            name: "Account/GetInform",
            methhod: "post",
            encrypt: true
        },
        //我的--我的收藏列表
        "Account/MyCollect": {
            name: "Account/MyCollect",
            methhod: "post",
            encrypt: true
        },
        //我的--我的反馈
        "Account/FeedBack": {
            name: "Account/FeedBack",
            methhod: "post",
            encrypt: true
        },
        //我的--我的关注
        "Account/MyFocusPerson": {
            name: "Account/MyFocusPerson",
            methhod: "post",
            encrypt: true
        },
        //我的--我的提问
        "Account/MyCard": {
            name: "Account/MyCard",
            methhod: "post",
            encrypt: true
        },


    };

    /*
    * 函数功能：数据请求的时候的post请求。
    * params:
          interName:接口的名字  string
          params:数据请求的时候传递的参数  object
          callback:数据请求成功或者失败的时候的回调函数
    */
    function post(interName, params, callback) {
        interInfo = interConfig[interName];
        api.ajax({
            url: interUrl + interInfo.name,
            method: 'post',
            data: {
                values: params
            }
        }, function(ret, err) {
            console.log(interInfo.name + "接口请求参数" + JSON.stringify(params) );
            console.log(interInfo.name + "接口返回的ret数据" + JSON.stringify(ret) + "返回的err数据" + JSON.stringify(err));
            ret ? callback(ret, err) : alert("通信错误，请检查网络是否链接")
        });
    };

    /*
    * 函数功能：上传图片和视频文件
    * params:
          interName:接口的名字  string
          params:数据请求的时候传递的参数  object
          callback:数据请求成功或者失败的时候的回调函数
    */
    function files(interName, params, callback, flag) {
        interInfo = interConfig[interName];
        if (flag) api.showProgress({
            title: "上传中.."
        });
        api.ajax({
            url: interUrl + interInfo.name,
            method: 'post',
            data: {
                values: params.values,
                files: params.files //要上传的文件的地址，对应一个或者多个文件{file:[1,2,3,]}
            }
        }, function(ret, err) {
            api.hideProgress();
              console.log(interInfo.name + "接口请求参数" + JSON.stringify({
                  values: params.values,
                  files: params.files
              }) );
            console.log(interInfo.name + "接口返回的ret数据" + JSON.stringify(ret) + "返回的err数据" + JSON.stringify(err));
            ret ? callback(ret, err) : alert("通信错误，请检查网络是否链接")
        });
    }
    /*
    * 函数功能：数据请求的时候的get请求。
    * params:
          interName:接口的名字  string
          params:数据请求的时候传递的参数  object
          callback:数据请求成功或者失败的时候的回调函数
    */
    function get(interName, params, callback) {
        interInfo = interConfig[interName];
        api.ajax({
            url: transformUrl(interName, params),
            method: 'get',
        }, function(ret, err) {
            console.log("返回的ret数据:   " + JSON.stringify(ret) + "返回的err数据:   " + JSON.stringify(err));
            ret ? callback(ret, err) : alert("通信错误，请检查网络是否链接");
        });
    }
    /*
    * 函数功能：get请求的时候数据的转换。
    * params:
          interName:接口的名字  string
          params:数据请求的时候传递的参数  object
    * 返回值：字符串，可以直接用于get请求
    */
    function transformUrl(interName, params) {
        var stringUrl = "?"
        for (var k in params) {
            stringUrl += k + "=" + params[k] + "&"
        };
        console.log("get请求地址" + interUrl + interConfig[interName].name + stringUrl.substring(0, stringUrl.length - 1))
        return interUrl + interConfig[interName].name + stringUrl.substring(0, stringUrl.length - 1);
    }
    return window.ajax = {
        "post": post,
        "get": get,
        "files": files
    }
})(window)
