require.config({
    3 // 根路径设置，paths下面全部都是根据baseUrl的路径去设置
    4 baseUrl: './',
    5 paths: {
        6 // 引入ajaz
        7 ajax: 'ajax',
        8 // api.js
        9 api: 'api',
        10 // 300ms延时
        11 fastclick: 'fastclick',
        12 // 滚动监听
        13 iscrollProbe: 'iscroll-probe',
        14 // 滚动
        15 iscroll: 'iscroll',
        // 滚动监听回掉
        scrollItem: 'scrollItem',
        // 图片懒加载
        vueLazyload: 'vue-lazyload',
        // vue
        vue: 'vue',
        //加密
        md5: "md5"
        16
    },
    17 // 用来配置不兼容的模块，意思是：该模块没有module.exports,
    18
    19 shim: {
        md5: {
          exports:"md5"
        },
         ajax: {
           exports:"ajax"
         },
         api:{
          exports:"api"
        },
        scrollItem:{
          exports:"scrollItem"
        }

    },
    28 //map"告诉RequireJS在任何模块之前，都先载入这个模块
    29 map: {
        30 // 这里没有设置，举个例子
        31 // '*': {
        32 // 'css': 'plugins/require-css/css'
        33 // }
        34
    }
    35
})
