 (function() {
     window.scrollItem = function(par) {
         this.def = {
             ele: "#scrollWrap",
             refresh: false,
             scroll: null,
             scrollEnd: null,
             t_r_callback: null,
             b_r_callback: null, //执行之后的回调函数
             ajax: null
         };
         if (typeof par == "object") {
             for (var k in this.def) {
                 if (par.hasOwnProperty(k)) { //将par自己的属性赋值给def
                     this.def[k] = par[k];
                 }
             }
         }
         //滚动实列
         this.ins = null;
         // 滚动的时候的样式的标签
         this.pullDown = getDom(this.def.ele + " #pullDown");
         this.pullDownLabel = getDom(this.def.ele + " .pullDownLabel");
         this.pullUpBox = getDom(this.def.ele + " .pullUpbox");
         //加载
         this.flag = true;
         this.flag_t = false;
         this.flag_b = false;
         this.init();
     }

     scrollItem.prototype.init = function() {
         var _self = this;
         this.ins = new IScroll(getDom(this.def.ele), { //绑定的元素，若是没有设置的时候，可以使用默认的元素，但是html中必须要创建这个元素，不然获取不到这个元素
             //侦听鼠标滚轮时间
             mouseWheel: false,
             fadeScrollbars: false,
             scrollY: true,
             probeType: 3,
             bindToWrapper: true,
             eventPassthrough: "horizontal",
             click: true,
         });

         setTimeout(function() {
             this.pullDown && (this.pullDown.style.display = "none"); //开始的时候将pullDown元素的样式设置为none
         }, 1000)
         this.pullUpBox && (this.pullUpBox.style.display = "none");
         //  监听滑动元素
         //元素滑动的时候的事件
         this.ins.on("scroll", function() {
             if (this.y > 40 && typeof _self.def.t_r_callback == "function") { //下拉刷新操作
                 _self.flag = false;
                 _self.pullDown.style.display = "block";
                 _self.flag_t = true;
                 _self.ins.refresh()
             } else if (this.y < this.maxScrollY + 50 && _self.flag && typeof _self.def.b_r_callback == "function") {
                 _self.flag = false;
                 _self.pullUpBox.style.display = "block";
                 _self.flag_b = true;
                 _self.ins.refresh()
             }
         });
         this.ins.on("scrollEnd", function() {
             _self.ins.refresh()
             if (_self.flag_t) {
                 _self.def.t_r_callback(_self);
                 _self.flag_t = false;
             }
             if (_self.flag_b) {
                 _self.def.b_r_callback(_self);
                 _self.flag_b = false;
             }

         })
     };
 })()


 function getDom(selector) {
     return document.querySelector(selector);
 }
